vgp.curve.surface

## Class PjSurfCurve

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.curve.common.PjCurve
      - - vgp.curve.surface.PjSurfCurve

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjSurfCurve
      extends PjCurve

  Demo project for extends PjCurve just to show how it might work. Here animation of selected curves is added.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class vgp.curve.common.PjCurve

      `ASYMPTOTIC, BASE_SURFACE_NAME, GEODESIC, PRINCIPAL_CURVATURE, SHADOW`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjSurfCurve()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `setTime(PsTimeEvent timeEvent)` Empty method, must be overwritten by subclasses to update dynamic object.

    - ### Methods inherited from class vgp.curve.common.PjCurve

      `calculateCurve, getSurfaceName, init, pickInitial, selectCurve, setSurfaceName, start, update`

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, addGeometry, dispose, dragDisplay, dragInitial, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setGeometry, setParameter, setViewer, stop, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Constructor Detail

    - #### PjSurfCurve

          public PjSurfCurve()

  - ### Method Detail

    - #### setTime

          public boolean setTime(PsTimeEvent timeEvent)

      Description copied from class: `PjProject`
      Empty method, must be overwritten by subclasses to update dynamic object.
      Specified by:
        `setTime` in interface `PsTimeListenerIf`
      Overrides:
        `setTime` in class `PjProject`

"

The software JavaView? is copyright protected. All Rights Reserved.
"